Bug 1370773 - libfreenect-v0.5.5 is available
Summary: libfreenect-v0.5.5 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libfreenect
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rich Mattes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2016-08-27 06:55 UTC by Upstream Release Monitoring
Modified: 2019-01-09 12:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-09 00:17:15 UTC


Attachments (Terms of Use)

Description Upstream Release Monitoring 2016-08-27 06:55:28 UTC
Latest upstream release: v0.5.4
Current version/release in rawhide: 0.5.3-3.fc25
URL: https://github.com/OpenKinect/libfreenect

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1617/

Comment 1 Upstream Release Monitoring 2016-08-27 06:55:45 UTC
Rebase helper failed.
See logs and attachments in this bugzilla 'NoneType' object has no attribute 'get_rebasehelper_data'

Comment 2 Upstream Release Monitoring 2016-08-27 06:56:02 UTC
Failed to kick off scratch build.

spectool was unable to grab new sources

old source: libfreenect-baec1501c703c731f32eac2bf97c28c77b51fdd8.tar.gz
old sha256: d1deeedc72b7a2a7bd8abcf44c05518350ef260e64ec174623fbc9b92acf4bbf

new source: ./libfreenect-baec1501c703c731f32eac2bf97c28c77b51fdd8.tar.gz
new sha256: d1deeedc72b7a2a7bd8abcf44c05518350ef260e64ec174623fbc9b92acf4bbf

Comment 3 Upstream Release Monitoring 2016-08-29 12:29:44 UTC
Latest upstream release: v0.5.5
Current version/release in rawhide: 0.5.3-3.fc25
URL: https://github.com/OpenKinect/libfreenect

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1617/

Comment 4 Upstream Release Monitoring 2016-08-29 12:29:59 UTC
Rebase helper failed.
See logs and attachments in this bugzilla 'NoneType' object has no attribute 'get_rebasehelper_data'

Comment 5 Upstream Release Monitoring 2016-08-29 12:30:16 UTC
Failed to kick off scratch build.

spectool was unable to grab new sources

old source: libfreenect-baec1501c703c731f32eac2bf97c28c77b51fdd8.tar.gz
old sha256: d1deeedc72b7a2a7bd8abcf44c05518350ef260e64ec174623fbc9b92acf4bbf

new source: ./libfreenect-baec1501c703c731f32eac2bf97c28c77b51fdd8.tar.gz
new sha256: d1deeedc72b7a2a7bd8abcf44c05518350ef260e64ec174623fbc9b92acf4bbf

Comment 6 Iryna Shcherbina 2016-12-19 16:06:31 UTC
Hi Rich,

This software supports Python 3 starting version 0.5.4 [0]. Please provide a Python 3 package for Fedora.


According to the Python packaging guidelines [1], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [2].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 25 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [3].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!

[0] https://github.com/OpenKinect/libfreenect/releases/tag/v0.5.4
[1] https://fedoraproject.org/wiki/Packaging:Python
[2] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[3] http://python-rpm-porting.readthedocs.io/

Comment 7 Rich Mattes 2017-03-09 00:17:15 UTC
Thanks for the info on the python 3 support.  Python 3 package has been added.


Note You need to log in before you can comment on or make changes to this bug.